#! /bin/bash

EMMC_MNTPOINT=/ro/.host
ALPINE_DIR=${EMMC_MNTPOINT}/alpine
FIRMUP_DIR=$1

remount_emmc() {
    local flag=$1

    mount -o ${flag},remount ${EMMC_MNTPOINT} &> /dev/null
}

remount_emmc rw

if [ ! -d ${ALPINE_DIR} ]; then
    mkdir ${ALPINE_DIR}
fi

if [ -f ${FIRMUP_DIR}/initramfs.img ]; then
    echo -n "* initramfs.img found, copy to ${ALPINE_DIR}... "
    cp ${FIRMUP_DIR}/initramfs.img ${ALPINE_DIR}/
    echo "done."
fi

if [ -f ${FIRMUP_DIR}/barebox.bin.img ]; then
    echo -n "* updating barebox... "
    flashcp ${FIRMUP_DIR}/barebox.bin.img /dev/mtd2 &> /dev/null
    echo "done."
fi

remount_emmc ro
